Show / Hide Table of Contents

# Class ConnectResponse

The tcp tunnel connect response object.

##### Inheritance

Object
RequestResponseBase
Response
ConnectResponse

##### Inherited Members

Response.StatusCode
Response.StatusDescription
Response.HasBody
Response.KeepAlive
Response.Is100Continue
Response.ExpectationFailed
Response.HeaderText
RequestResponseBase.BodyInternal
RequestResponseBase.OriginalIsBodyRead
RequestResponseBase.KeepBody
RequestResponseBase.HttpVersion
RequestResponseBase.Headers
RequestResponseBase.ContentLength
RequestResponseBase.ContentEncoding
RequestResponseBase.Encoding
RequestResponseBase.ContentType
RequestResponseBase.IsChunked
RequestResponseBase.Body
RequestResponseBase.BodyString
RequestResponseBase.IsBodyRead
RequestResponseBase.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: Titanium.Web.Proxy.Http

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public class ConnectResponse : Response

### Properties

#### ServerHelloInfo

##### Declaration

    public ServerHelloInfo ServerHelloInfo { get; set; }

##### Property Value

Type | Description
--- | ---
StreamExtended.ServerHelloInfo |